<!-- -------------------- ./mgmt/account_page.html -------------------- -->


<?php include "snippets/header-new.html"; ?>

<main class="os-main-content">
	<div class="fr-grid-row fr-grid-row--gutters">
		<div class="fr-col-12">
			<section class="os-table-wrapper fr-container--fluid">
				<header class="os-main-content__header os-table-wrapper__header">
					<div class="fr-grid-row">
						<div class="fr-col">
							<h2 class="fr-h3">Mon compte</h2>
						</div>
					</div>
				</header>

				<div class="fr-grid-row fr-grid-row--center fr-py-2w">
					<div class="fr-col-12 fr-col-md-8 fr-col-lg-6">

<form novalidate="novalidate" id="user-account" class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('Account'); ?>">

	<input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">

	<div class="fr-input-group">
		<label for="ACTMAIL" class="fr-label"><em>Mail</em></label>
		<input type="email" class="fr-input" value="<?php echo $this->UINFO['mail']; ?>" name="ACTMAIL" id="ACTMAIL">
	</div>

	<div class="fr-input-group">
		<label for="ACTGVN" class="fr-label"><em>Prénom</em></label>
		<input type="text" class="fr-input" value="<?php echo $this->UINFO['gvname']; ?>" name="ACTGVN" id="ACTGVN">
	</div>

	<div class="fr-input-group">
		<label for="ACTNAM" class="fr-label"><em>Nom</em></label>
		<input type="text" class="fr-input" value="<?php echo $this->UINFO['name']; ?>" name="ACTNAM" id="ACTNAM">
	</div>

	<?php if ( $this->UINFO['type'] == 'ldap' ): ?>
	<div class="fr-highlight">
		<p>Votre mot de passe, relié au SSO, n'est pas modifiable ici.&nbsp;&nbsp;Voir: <a href='http://gaapse.girondenumerique.fr'>GAAPSE</a></p>
	</div>
	<?php else: ?>
	<div class="fr-highlight">
		<p><b>Attention</b>, si vous changez le mot de passe, le nouveau vous sera immédiatement redemandé !</p>
	</div>

	<div class="fr-input-group">
		<label for="ACTPSW1" class="fr-label"><em>Nouveau mot de passe</em></label>
		<input type="password" class="fr-input OSpasswordVisibilityToggle" autocomplete="off" value="" name="ACTPSW1" id="ACTPSW1">
	</div>

	<div class="fr-input-group">
		<label for="ACTPSW2" class="fr-label"><em>Confirmez le mot de passe</em></label>
		<input type="password" class="fr-input OSpasswordVisibilityToggle" autocomplete="off" value="" name="ACTPSW2" id="ACTPSW2">
	</div>
	<?php endif; ?>

	<ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-lg fr-btns-group--icon-left">
		<li>
			<button type="button" class="fr-btn fr-btn--secondary fr-icon-close-circle-line" onclick="window.location.href='<?php echo $this->URL->GetMgmtMethod('DosList'); ?>'"> Annuler </button>
		</li>
		<li>
			<button type="submit" class="fr-btn fr-icon-checkbox-line" id="finishbut1">Valider</button>
		</li>
	</ul>
</form>
<script>
	document.addEventListener("DOMContentLoaded", function () {
			handleVisibilityToggleOnPasswordFields();

			document.querySelector('#user-account').addEventListener('submit', function (e) {
				const pswd1 = this.querySelector('#ACTPSW1');
				const pswd2 = this.querySelector('#ACTPSW2');
				
				pswd2.setCustomValidity('');
				if (pswd1?.value.length && pswd2?.value.length && pswd1.value != pswd2.value) {
					pswd2.setCustomValidity('Le nouveau mot de passe et sa confirmation ne sont pas identiques.');
				}

				if (!this.reportValidity()) {
					e.preventDefault();
					false;
				}
			});
		});
	

	
</script>








































					</div>
				</div>
			</section>
			</div>
		</div>
</main>


<!-- -------------------------------------------------------------------- -->


<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<script src="/pub/jsext/jquery-3.3.1.min.js"></script>
<script src="/pub/jsext/popper.min.js"></script>
<script src="/pub/jsext/jquery_validate_fr.js"></script>

<!--  -->
<script>
  $('[data-toggle="tooltip"]').tooltip()
</script>

</body>
</html>


